MicrosoftObjectIdentifiers (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.microsoft

## Interface MicrosoftObjectIdentifiers

-     public interface MicrosoftObjectIdentifiers

  Microsoft

  Object identifier base:

          iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) microsoft(311)

  1.3.6.1.4.1.311

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `microsoft` Base OID: 1.3.6.1.4.1.311
    `static ASN1ObjectIdentifier` | `microsoftAppPolicies` OID: 1.3.6.1.4.1.311.21.10
    `static ASN1ObjectIdentifier` | `microsoftCaVersion` OID: 1.3.6.1.4.1.311.21.1
    `static ASN1ObjectIdentifier` | `microsoftCertTemplateV1` OID: 1.3.6.1.4.1.311.20.2
    `static ASN1ObjectIdentifier` | `microsoftCertTemplateV2` OID: 1.3.6.1.4.1.311.21.7
    `static ASN1ObjectIdentifier` | `microsoftCrlNextPublish` OID: 1.3.6.1.4.1.311.21.4
    `static ASN1ObjectIdentifier` | `microsoftPrevCaCertHash` OID: 1.3.6.1.4.1.311.21.2

- - ### Field Detail

    - #### microsoft

          static final ASN1ObjectIdentifier microsoft

      Base OID: 1.3.6.1.4.1.311

    - #### microsoftCertTemplateV1

          static final ASN1ObjectIdentifier microsoftCertTemplateV1

      OID: 1.3.6.1.4.1.311.20.2

    - #### microsoftCaVersion

          static final ASN1ObjectIdentifier microsoftCaVersion

      OID: 1.3.6.1.4.1.311.21.1

    - #### microsoftPrevCaCertHash

          static final ASN1ObjectIdentifier microsoftPrevCaCertHash

      OID: 1.3.6.1.4.1.311.21.2

    - #### microsoftCrlNextPublish

          static final ASN1ObjectIdentifier microsoftCrlNextPublish

      OID: 1.3.6.1.4.1.311.21.4

    - #### microsoftCertTemplateV2

          static final ASN1ObjectIdentifier microsoftCertTemplateV2

      OID: 1.3.6.1.4.1.311.21.7

    - #### microsoftAppPolicies

          static final ASN1ObjectIdentifier microsoftAppPolicies

      OID: 1.3.6.1.4.1.311.21.10